package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcTtsum;

/**
 * 今日头条、快手Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcTtsumService 
{
    /**
     * 查询今日头条、快手
     * 
     * @param id 今日头条、快手主键
     * @return 今日头条、快手
     */
    public TcTtsum selectTcTtsumById(Long id);

    /**
     * 查询今日头条、快手列表
     * 
     * @param tcTtsum 今日头条、快手
     * @return 今日头条、快手集合
     */
    public List<TcTtsum> selectTcTtsumList(TcTtsum tcTtsum);

    /**
     * 新增今日头条、快手
     * 
     * @param tcTtsum 今日头条、快手
     * @return 结果
     */
    public int insertTcTtsum(TcTtsum tcTtsum);

    /**
     * 修改今日头条、快手
     * 
     * @param tcTtsum 今日头条、快手
     * @return 结果
     */
    public int updateTcTtsum(TcTtsum tcTtsum);

    /**
     * 批量删除今日头条、快手
     * 
     * @param ids 需要删除的今日头条、快手主键集合
     * @return 结果
     */
    public int deleteTcTtsumByIds(Long[] ids);

    /**
     * 删除今日头条、快手信息
     * 
     * @param id 今日头条、快手主键
     * @return 结果
     */
    public int deleteTcTtsumById(Long id);



    /**
     * 导入今日头条、快手信息
     *
     * @return 结果
     */
    public String importUser(List<TcTtsum> tcTtsumList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
